
%define plugin	xineliboutput

# main branch
%define snapshot 0
%define prever	0
%define rel	11
# Please update xine-xvdr as well.
# It uses the same tarball but builds xine1.2-xvdr subpackage
# equivalent for stable xine.

%if %snapshot
%if %prever
%define release	%mkrel 0.%prever.cvs%snapshot.%rel
%else
%define release %mkrel 0.cvs%snapshot.%rel
%endif
%else
%if %prever
%define release %mkrel 0.%prever.%rel
%else
%define release %mkrel %rel
%endif
%endif

%define xineplugindir	%(xine-config --plugindir 2>/dev/null || echo 0)
# Does not always match rpm version, reports 1.1.9 on 1.1.9.1, so use rpmver directly instead.
#define xineversion	%(xine-config --version 2>/dev/null || echo 0)
%define xineversion	%(rpm -qf --qf '%%{version}' %{_bindir}/xine-config 2>/dev/null || echo 0)
%define xineapi		%(A=%xineplugindir; echo ${A##*/})

Summary:	VDR plugin: X11/xine-lib output plugin
Name:		vdr-plugin-%plugin
Version:	1.1.0
Release:	%release
Group:		Video/Utilities
License:	GPLv2+
URL:		http://sourceforge.net/projects/xineliboutput/
%if %snapshot
Source0:	vdr-%plugin-%snapshot.tar.bz2
%else
%if %prever
Source0:	http://prdownloads.sourceforge.net/xineliboutput/vdr-%plugin-%{version}%{prever}.tar.bz2
%else
Source0:	http://prdownloads.sourceforge.net/xineliboutput/vdr-%plugin-%version.tgz
%endif
%endif

BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxv-devel
BuildRequires:	xine1.2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libextractor-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxrandr-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libcap-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	mesagl-devel
BuildRequires:	vdpau-devel
BuildRequires:	cap-devel
BuildRequires:	bluray-devel
Requires:	vdr-abi = %vdr_abi

%description
Framebuffer and/or X11 front-end for VDR. Displays OSD and video in
a raw X/Xv/XvMC window, Linux framebuffer/DirectFB or xine.

Support for local and standalone ("remote") frontends. The plugin is
able to use local pipe, RTP/UDP multicast, UDP unicast and TCP to
transfer the data to the standalone clients.

Built-in image and media player supports playback of most known
media files and network radio/video streams directly from VDR.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n xine1.2-xvdr
Group:		Video/Utilities
Summary:	Xine frontend for the xineliboutput VDR plugin
Requires:	%{_lib}xine2-plugin-api >= %xineapi
Provides:	vdr-plugin-xineliboutput-frontend-xine
Obsoletes:	vdr-plugin-xineliboutput-frontend-xine
Provides:	xineliboutput-fe-xine
Obsoletes:	xineliboutput-fe-xine

%description -n xine1.2-xvdr
With this package you can connect to your VDR with xine1.2 with an MRL
like below:
xvdr://127.0.0.1#nocache;demux:mpeg_block

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-local-sxfe
Group:		Video/Utilities
Summary:	Local X11 frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Requires:	%name = %version
Provides:	vdr-plugin-xineliboutput-frontend-local-x11
Obsoletes:	vdr-plugin-xineliboutput-frontend-local-x11
Provides:	xineliboutput-fe-local-x11
Obsoletes:	xineliboutput-fe-local-x11
Provides:	xineliboutput-fe-x11
Obsoletes:	xineliboutput-fe-x11

%description -n %plugin-local-sxfe
Local X11 frontend for the xineliboutput VDR plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-local-fbfe
Group:		Video/Utilities
Summary:	Local framebuffer/DirectFB frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Requires:	%name = %version
Provides:	vdr-plugin-xineliboutput-frontend-local-fb
Obsoletes:	vdr-plugin-xineliboutput-frontend-local-fb
Provides:	xineliboutput-fe-local-fb
Obsoletes:	xineliboutput-fe-local-fb
Provides:	xineliboutput-fe-fb
Obsoletes:	xineliboutput-fe-fb

%description -n %plugin-local-fbfe
Local framebuffer/DirectFB frontend for the xineliboutput VDR
plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-sxfe
Group:		Video/Utilities
Summary:	Standalone X11 frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Provides:	vdr-plugin-xineliboutput-frontend-standalone-x11
Obsoletes:	vdr-plugin-xineliboutput-frontend-standalone-x11
Provides:	xineliboutput-fe-standalone-x11
Obsoletes:	xineliboutput-fe-standalone-x11
Provides:	xineliboutput-fe-x11
Obsoletes:	xineliboutput-fe-x11
Provides:	vdr-sxfe = %version

%description -n %plugin-sxfe
Standalone X11 frontend for the xineliboutput VDR plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%package -n %plugin-fbfe
Group:		Video/Utilities
Summary:	Standalone framebuffer/DirectFB frontend for the xineliboutput VDR plugin
Requires:	xine1.2-xvdr = %version
Provides:	vdr-plugin-xineliboutput-frontend-standalone-fb
Obsoletes:	vdr-plugin-xineliboutput-frontend-standalone-fb
Provides:	xineliboutput-fe-standalone-fb
Obsoletes:	xineliboutput-fe-standalone-fb
Provides:	xineliboutput-fe-fb
Obsoletes:	xineliboutput-fe-fb
Provides:	vdr-fbfe = %version

%description -n %plugin-fbfe
Standalone framebuffer/DirectFB frontend for the xineliboutput VDR
plugin.

Frontend packages:
- xine-xvdr: Xine frontend
- xine1.2-xvdr: Xine1.2 frontend
- xineliboutput-sxfe: Standalone X11 frontend
- xineliboutput-fbfe: Standalone FB frontend
- xineliboutput-local-sxfe: Local X11 frontend
- xineliboutput-local-fbfe: Local FB frontend

%prep
%if %snapshot
%setup -q -n vdr-%plugin
%else
%if %prever
%setup -q -n %plugin-%version%prever
%else
%setup -q -n %plugin-%version
%endif
%endif
%apply_patches
%vdr_plugin_prep

find -name CVS -type d | while read i; do rm -r "$i" || exit 1; done
perl -pi -e 's,X11R6/lib,X11R6/%{_lib},' Makefile

%vdr_plugin_params_begin %plugin
# Local frontend
# Supported frontends:
# sxfe (X11)
# fbfe (framebuffer)
# none (only remote frontends)
var=LOCAL
param=--local=LOCAL
# Port where to listen for remote clients
# none or 0 disables remote mode
var=REMOTE_PORT
param=--remote=REMOTE_PORT
# Audio driver
# Supported values: auto, alsa, oss, esound, none
var=AUDIO
param=--audio=AUDIO
# Video driver
# Supported values:
# for sxfe: auto, x11, xshm, xv, xvmc, xxmc, vdpau, vidix, sdl, opengl, none
# for fbfe: auto, fb, DirectFB, vidixfb, sdl, dxr3, aadxr3, none
var=VIDEO
param=--video=VIDEO
# Fullscreen mode (X11)
var=FULLSCREEN
param=--fullscreen
# Head Up Display OSD (X11)
var=HUD
param=--hud
# Use XShape instead of compositing for HUD
var=HUD_XSHAPE
param=--hud=xshape
# Use OpenGL instead of compositing for HUD
var=HUD_OPENGL
param=--hud=opengl
# Use OpenGL for video and Head Up Display OSD
var=OPENGL
param=--opengl
# Window width
var=WIDTH
param=--width=WIDTH
# Window height
var=HEIGHT
param=--height=HEIGHT
# Set output window geometry (X style: WxH[+X+Y])
var=GEOMETRY
param=--geometry=GEOMETRY
# Use X11 display DISP
var=DISP
param=--display=DISP
# Use existing X11 window (root window with "root")
var=WID
param=--wid=WID
# Enable video mode switching
var=MODESWITCH
param=--modeswitch
# Use xine post plugin POST
# format: pluginname[:arg=val[,arg=val]][,...]
# example: "upmix;tvtime:enabled=1,cheap_mode=1"
var=POST
param=--post=POST
# Force xineliboutput to be primary device when
# there are active frontend(s)
var=PRIMARY
param=--primary
# Exit vdr when local frontend window is closed. You may also want
# to define VDR_MAX_RESTART=0 in /etc/sysconfig/vdr.
var=EXIT_ON_CLOSE
param=--exit-on-close
# Use custom xine-lib config file
var=XINE_LIB_CONFIG
param="-C XINE_LIB_CONFIG"
%vdr_plugin_params_end

mkdir xine-plugins

%build

%vdr_plugin_build VDRINCDIR=%{_includedir}

%install
%vdr_plugin_install

install -d -m755 %buildroot%xineplugindir/post %buildroot%_bindir

%makeinstall BINDIR=%buildroot%_bindir XINEPLUGINDIR=%buildroot%xineplugindir VDRDIR=.

install -m755 libxineliboutput-*.so.* %{buildroot}%{_vdr_plugin_dir}

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%plugin
install -m644 examples/allowed_hosts.conf %{buildroot}%{_vdr_plugin_cfgdir}/%plugin

# fix debug symbols extraction / stripping
find %buildroot%xineplugindir -name '*.so' -exec chmod +x '{}' ';'

%files -f %plugin.vdr
%doc README HISTORY examples
%dir %attr(-,vdr,vdr) %{_vdr_plugin_cfgdir}/%plugin
%config(noreplace) %{_vdr_plugin_cfgdir}/%plugin/allowed_hosts.conf

%files -n xine1.2-xvdr
%doc README
# xine-plugins maybe upgraded without new xine-xvdr (while everything still
# works). Therefore we have to include the plugindir as well.
%dir %{xineplugindir}
%{xineplugindir}/*.so
%{xineplugindir}/post/*.so

%files -n %plugin-local-fbfe
%doc README
%dir %{_vdr_plugin_dir}
%{_vdr_plugin_dir}/libxineliboutput-fbfe.so.*

%files -n %plugin-local-sxfe
%doc README
%dir %{_vdr_plugin_dir}
%{_vdr_plugin_dir}/libxineliboutput-sxfe.so.*

%files -n %plugin-fbfe
%doc README
%_bindir/vdr-fbfe

%files -n %plugin-sxfe
%doc README
%_bindir/vdr-sxfe




%changelog
* Tue May 02 2017 akien <akien> 1.1.0-11.mga6
+ Revision: 1098326
- Rebuild for ffmpeg 3.3

* Mon Apr 03 2017 akien <akien> 1.1.0-10.mga6
+ Revision: 1095727
- Rebuild for libbluray 1.0.0 (major 2)

* Wed Mar 08 2017 akien <akien> 1.1.0-9.mga6
+ Revision: 1090263
- Rebuild for ffmpeg 3.2.4

* Tue Feb 09 2016 umeabot <umeabot> 1.1.0-8.mga6
+ Revision: 951665
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 1.1.0-7.mga5
+ Revision: 808512
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 1.1.0-6.mga5
+ Revision: 798694
- rebuild for new VDR

  + akien <akien>
    - Rebuild for ffmpeg 2.4

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 544813
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.1.0-1.mga4
+ Revision: 498999
- new versino 1.1.0

* Thu Jan 17 2013 pterjan <pterjan> 1.1.0-0.cvs20120225.6.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-0.cvs20120225.6.mga3
+ Revision: 385380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.1.0-0.cvs20120225.5.mga3
+ Revision: 341744
- rebuild for new ffmpeg

* Tue Dec 04 2012 malo <malo> 1.1.0-0.cvs20120225.4.mga3
+ Revision: 326269
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1.1.0-0.cvs20120225.3.mga2
+ Revision: 221065
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 1.1.0-0.cvs20120225.2.mga2
+ Revision: 214782
- add execute permission to xine plugins to allow debug symbol extraction
  and stripping

* Sat Feb 25 2012 anssi <anssi> 1.1.0-0.cvs20120225.1.mga2
+ Revision: 214754
- new snapshot (VDR 1.7+ support)
- update sysconfig file
- include allowed_hosts.conf
- add provides on vdr-sxfe and vdr-fbfe where relevant
- add a workaround for a radio visualization segfault issue
  (xineliboutput-radio-visualization-crash-hack.patch,
  upstream bug #3459101)

* Fri Sep 02 2011 anssi <anssi> 1.0.7-1.mga2
+ Revision: 137965
- drop scriptlets handled by filetriggers
- add buildrequire on libcap-devel
- new version
- drop upstream patches
- add explicit br on libxext-devel
- update sysconfig for new configuration parameters

  + obgr_seneca <obgr_seneca>
    - new version 1.0.6
    - imported package vdr-plugin-xineliboutput

